aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/objective-c/tests
diff options
context:
space:
mode:
authorGravatar Jorge Canizales <jcanizales@google.com>2015-08-02 16:26:59 -0700
committerGravatar Jorge Canizales <jcanizales@google.com>2015-08-02 16:26:59 -0700
commit02039a25c7a906cabbdca8b2cc04b5ace6039394 (patch)
treed78291cc2382e09175ae0e8ff7d1e64f541975d5 /src/objective-c/tests
parent7716c53a217292f1982d986e4681c1e2b25f4367 (diff)
Fail early and explicitly if protoc, pod, or xcodebuild are missing
Diffstat (limited to 'src/objective-c/tests')
-rwxr-xr-xsrc/objective-c/tests/build_tests.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/src/objective-c/tests/build_tests.sh b/src/objective-c/tests/build_tests.sh
index d98e0a769c..a8b7503032 100755
--- a/src/objective-c/tests/build_tests.sh
+++ b/src/objective-c/tests/build_tests.sh
@@ -32,6 +32,10 @@ set -e
cd $(dirname $0)
+hash protoc 2>/dev/null || { echo >&2 "protoc needs to be installed."; exit 1; }
+hash pod 2>/dev/null || { echo >&2 "Cocoapods needs to be installed."; exit 1; }
+hash xcodebuild 2>/dev/null || { echo >&2 "XCode command-line tools need to be installed."; exit 1; }
+
# The local test server needs to be compiled before this because pod install of
# gRPC renames some C gRPC files and not the server's code references to them.
#